/*
	Anynome - The Generalized Metronome

    Copyright (C) 2007  Nigel D. Stepp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    Nigel Stepp <stepp@atistar.net>

    $Id: anynome.h 146 2007-09-08 02:55:15Z stepp $
*/


#ifndef _ANYNOME_H
#define _ANYNOME_H

#include "sound.h"

#define VERSION "0.9.2"

#ifdef WIN32
 #define usleep(t) (Sleep( (t)/1000 ))
 #define PATH_MAX MAX_PATH
#endif

typedef struct {
	// Leave 'done' first, for quick access :)
	int done;
	int num_events;
	int use_audio;
	FILE *stimulus_file;
	sound_t *sound;
	SDL_Surface *screen;
	void (*get_delay_series)(Uint32 *, int, ...);
} stimulus_ctx_t;

typedef struct {
	int num_events;
	int use_audio;
	int fullscreen;
	char plugin_dir[PATH_MAX];
	char plugin[PATH_MAX];
} config_t;


int stimulus_thread(void *data);
void timer_test(void);
Uint32 timer_callback(Uint32 interval, void *data);
int event_thread(void *data);
void show_help(void);
void show_version(void);


#endif
