/*
	Anynome - The Generalized Metronome

    Copyright (C) 2007  Nigel D. Stepp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    Nigel Stepp <stepp@atistar.net>

    $Id: plugin_common.h 151 2007-09-10 17:21:15Z stepp $
*/


#ifndef _PLUGIN_COMMON_H
#define _PLUGIN_COMMON_H

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>

#ifndef WIN32
 #include <unistd.h>
 #include <stdint.h>
 #define DLLEXPORT
#else
 #include <Windows.h>
 #include "getopt.h"

 #define DLLEXPORT __declspec(dllexport)
 #define inline __inline

 typedef UINT32 uint32_t;
#endif

const char *api_version = "2";

DLLEXPORT void set_args(int argc, char *argv[], int opt_ind);
DLLEXPORT void get_delay_series(uint32_t *delay_data, int num_events);

void show_help(void);

inline void plugin_error(const char *label, const char *msg)
{
	fprintf(stderr, "%s: %s\n", label, msg);
}

DLLEXPORT const char *get_api_version(void)
{
	return api_version;
}

#endif

