/*
	Anynome - The Generalized Metronome

    Copyright (C) 2007  Nigel D. Stepp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    Nigel Stepp <stepp@atistar.net>

    $Id: sound.h 132 2007-08-30 01:38:47Z stepp $
*/


#ifndef _SOUND_H
#define _SOUND_H

#ifndef WIN32
 #include <SDL/SDL.h>
#else
 #include "SDL.h"
#endif

typedef struct {
   int isEnabled;
   SDL_sem * playEnded;
   unsigned int timeCurr;
   unsigned int timeMax;
   char const * val;
} ToneCallbackData;

typedef struct {
	SDL_AudioSpec *waveSpec;
	ToneCallbackData *callbackData;
} sound_t;


sound_t *init_sound(void);
void close_sound(sound_t *sound);
int playTone(int freq, int duration, sound_t *sound);


#endif
